Bug Tracker – Bug 725

Action 107 - Door Close Stay (fast)

Last modified: 2016-11-11 18:09:10 CST
Bug 725 - (ARRAY(0x4c2b238)) Action 107 - Door Close Stay (fast)
(ARRAY(0x4c2b238))
Action 107 - Door Close Stay (fast)
Status: NEW
Product: Odamex
Classification: Unclassified
Component: Client
(old) 0.5.0 - 0.5.5
All All
: P2 trivial
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-06-29 21:08:02 CDT by HeX_Vulture
Modified: 2016-11-11 18:09 CST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description HeX_Vulture 2011-06-29 21:08:02 CDT
In vanilla/DOS Boom/PRBoom, when you run over a linedef for closing a door when the door is already closed, it plays the door closing sound regardless. ZDoom "fixes" this though by not playing the door closed sound if the door is already closed.

This bug is to discuss how Odamex should handle this. Should it be a compatflag? Should is be fixed in in zdoom mode? 

Personally I am in favor of fixing it in ZDoom and leaving Vanilla to act Vanilla.

A good example of this issue is lazarus1j.wad map06 - the BFG room.
Comment 1 Ralph Vickers 2011-07-06 01:53:00 CDT
A trivial thing really. Could do what you suggested and separate the behaviors with co_zdoomphys. Is it worth it? How much work would be involved in this?
Comment 2 HeX_Vulture 2016-11-11 18:09:10 CST
Ralphis and I talked about making this fixed with co_boomphys enabled